Bug 254015 - Review Request: rubygem-mongrel - A small fast HTTP library and server for Ruby
Summary: Review Request: rubygem-mongrel - A small fast HTTP library and server for Ruby
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lutterkort
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 254016 254018 254019 254093
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-23 17:13 UTC by Scott Seago
Modified: 2013-04-30 23:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 03:49:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Scott Seago 2007-08-23 17:13:15 UTC
Spec URL: http://people.redhat.com/sseago/fedora/spec/rubygem-mongrel.spec
SRPM URL: http://people.redhat.com/sseago/fedora/SRPMS/rubygem-mongrel-1.0.1-2.fc7.src.rpm
Description: 
A small fast HTTP library and server that runs Rails, Camping, Nitro and Iowa
apps.

Note that this is my first package submission -- David Lutterkort has already agreed to sponsor it

Comment 1 Scott Seago 2007-08-23 21:28:15 UTC
Note the following change in the SRPM URL, as I had to bump the rev to deal with
some dependency issues:
SRPM URL:
http://people.redhat.com/sseago/fedora/SRPMS/rubygem-mongrel-1.0.1-3.fc7.src.rpm

Comment 2 David Lutterkort 2007-08-24 01:46:25 UTC
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - BuildRoot value (one of the recommended values)
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - 'Requires' create needed unowned directories
OK - Package builds successfully on i386 and x86_64 (mock)
OK - BuildRequires sufficient
OK - File permissions set properly
OK - Macro usage is consistent
OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch specific content in %{gemdir}
OK - Defines ruby_sitearch from rbconfig
OK - arch specific content moved to %{ruby_sitearch}

Package does not produce debuginfo, but given the gyrations of building rubygems
that's not practical.

FIX - rpmlint is noisy

      It warns on the srpm about an unapplied patch; that can be ignored since
gems can't be patched in a way that rpmlint will notice

      On the binary RPM, it complains about a number of things that should be fixed

FIX - License files are not installed as %doc
  Mark LICENSE and COPYING as %doc


Comment 3 Scott Seago 2007-08-24 17:50:07 UTC
Fixed listed issues. Updated SRPM is at:
http://people.redhat.com/sseago/fedora/SRPMS/rubygem-mongrel-1.0.1-4.fc7.src.rpm

Comment 4 David Lutterkort 2007-08-27 18:44:46 UTC
APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.


Comment 5 Scott Seago 2007-08-27 21:37:58 UTC
New Package CVS Request
=======================
Package Name: rubygem-mongrel
Short Description: A small fast HTTP library and server for Ruby
Owners: sseago
Branches: F-7, EL-5
InitialCC: 
Cvsextras Commits: No

Comment 6 Kevin Fenzi 2007-08-28 04:33:47 UTC
cvs done. 

Comment 7 Jeroen van Meeuwen 2008-10-14 14:57:21 UTC
Package Change Request
======================
Package Name: rubygem-mongrel
New Branches: EL-4
Owners: kanarip

Comment 8 Kevin Fenzi 2008-10-15 22:03:17 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.